Zum Inhalt springen

bridge.get_profile ​

Purpose ​

Lädt Konto-/Profildaten: Metadaten, Reputation, Follow-Statistiken und Blacklists.

Parameter: account:string; observer:string (optional)

Parameters ​

PARAMETERS
json
{
  "account": "steemit"
}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "bridge.get_profile",
    "params": {
      "account": "steemit"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "id": 32,
  "name": "steemit",
  "active": "2020-03-27T08:46:24",
  "created": "2016-03-24T17:00:21",
  "post_count": 1,
  "reputation": 35.01,
  "metadata": {
    "profile": {
      "about": "",
      "cover_image": "",
      "location": "",
      "name": "",
      "profile_image": "",
      "website": ""
    }
  },
  "stats": {
    "followers": 3550,
    "following": 0,
    "rank": 1354,
    "sp": 3502
  },
  "blacklists": []
}